magic jack not supported windows NT4 it will not install

January 2, 2012 at 15:16:40
Specs: Windows XP
magic jack worked before so upgraded to magicjack partially installs will take messages but can't use phone& no softphone..I get window saying magicjack is not supported by windows version NT4..I have uninstalled & reinstalled ,several times..I have gone in registry for complete removal and reinstalled, does not help..,have updated driver for pc phone better (although with update magic Jack started to download then shut off ..all allowances have been made for firewall& antivirus,DOES NOT show in task manager,processes,DOES show in cd-dvd device manager ,file is there in app data, drive is there in C drive ,& registry,it's plugged in a high powered usb port , have also tried to run/install in all compatability luck..Have not approached magic jack help because I have a sneaking suspicion they don't know how to fix it either..(I don't want to go through all these steps again)I think magic jack took the money & failed to inform me it would not run with NT4..I've had magic Jack phone for 2 years & it worked well with XP..I'm no techie just average pc user(and yes I tried to reinstall old magic jack,same message)I have been at this for over a month,searched the internet come up empty handed,there must be someone who knows about this if you can help, please keep it simple so I can understand what your talking know like you're speaking to a child..HELP!!!
Yes I've tried the lucky you upgrade...several change

See More: magic jack not supported windows NT4 it will not install

Report •

January 2, 2012 at 16:10:24
The Magic Jack website states that the minimum OS supported is XP. NT 4 is not supported, as is the case with most modern software. NT 4 lacks many things that are needed to support modern software. Considering the very small user base for NT 4 most software suppliers cannot justify the very considerable effort required to support it. Be aware that NT 4 was released in 1996 and the most recent service pack in 1999. Compatibility mode can only make compatible (not always) with a lower OS than you are using, not a higher.

Your only real option is to use an OS that meets Magic Jack's requirements.
When installing any software you should always be sure that it is compatible with your OS and hardware, particularly when that OS is as old as NT 4.

Report •

January 9, 2012 at 14:34:49
I have paid for five years in advance and this morning I can't get it to load. Only get an ad for the new Magic Jack Plus. There is no way to contact the company and I am beginning to think I just lost about $70

Report •

January 9, 2012 at 20:14:18
It does not support NT4

magicJack supports the most popular operating systems in the world:

Microsoft Windows XP
Microsoft Windows Vista
Microsoft Windows 7
Intel-Based Apple Mac

Report •

Related Solutions

Ask Question